import React from "react"
import { render } from "react-dom"
import { App } from "./App"
import { LocaleContextProvider } from "./i18n"
import { SideEffect } from "./SideEffect"
import "./index.scss"

if (navigator.platform === "MacIntel") {
  document.documentElement.classList.add("mac")
}

const Root: React.FC = () => (
  <React.StrictMode>
    {/* <TitleBar /> */}
    <LocaleContextProvider>
      <SideEffect />
      <App />
    </LocaleContextProvider>
  </React.StrictMode>
)

render(<Root />, document.getElementById("app"))
